#1 ERROR REPOSITORY – PFSENSE

 

ERROs

erro1: pkg: Invalid configuration file: error while parsing <unknown>: line: 1, column: 4 - 'string value must not be empty', ch aracter: '0x00'
erro2: pkg: Error parsing: '/usr/local/etc/pkg/repos//pfSense.conf': error while parsing <unknown>: line: 1, column: 0 - 'key must begin with a letter', character: '0x00'
No active remote repositories configured.

SOLUÇÃO ERRO 2:

Primeiro, verifique a configuração do repositório pkg:

# ls -l /usr/local/etc/pkg/repos/pfSense.conf

Deve apontar para /usr/local/share/pfSense/pkg/repos/pfSense-repo.conf

Se isso não acontecer:

# rm /usr/local/etc/pkg/repos/pfSense.conf
# ln -s /usr/local/share/pfSense/pkg/repos/pfSense-repo.conf /usr/local/etc/pkg/repos/pfSense.conf

Verifique o conteúdo do arquivo:

: cat /usr/local/etc/pkg/repos/pfSense.conf 
FreeBSD: { enabled: no }

pfSense-core: {
  url: "pkg+http://pkg.pfsense.org/pfSense_v2_3_0_amd64-core",
  mirror_type: "srv",
  signature_type: "fingerprints",
  fingerprints: "/usr/local/share/pfSense/keys/pkg",
  enabled: yes
}

pfSense: {
  url: "pkg+http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0",
  mirror_type: "srv",
  signature_type: "fingerprints",
  fingerprints: "/usr/local/share/pfSense/keys/pkg",
  enabled: yes
}

Se o conteúdo desse arquivo corresponder acima, OK, caso contrário, edite o arquivo e faça-o corresponder (verifique a versão do pfsense e arquitetura).

Forçar uma atualização no banco de dados pkg:

# pkg update -f

Se mostrar a mensagem abaixo, tente instalar pacotes por linha de comando.

All repositories are up to date

FONTE:

https://forum.netgate.com/topic/97952/issues-updating-from-2-3-rc-or-older-2-3-installs-to-2-3-release

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *